import{S as Pr,i as Mr,s as zr,e as s,k as c,w as T,t as r,M as Ar,c as n,d as t,m as p,a,x as b,h as i,b as l,G as e,g as _,y as E,q as $,o as y,B as w,v as Cr,L as xa}from"../../chunks/vendor-hf-doc-builder.js";import{T as Vr}from"../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ta}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Pt}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as va}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ir(I){let m,x,g,f,v;return f=new Ta({props:{code:`from transformers import ViTConfig, BertConfig, VisionTextDualEncoderConfig, VisionTextDualEncoderModel

# Initializing a BERT and ViT configuration
config_vision = ViTConfig()
config_text = BertConfig()

config = VisionTextDualEncoderConfig.from_vision_text_configs(config_vision, config_text, projection_dim=512)

# Initializing a BERT and ViT model (with random weights)
model = VisionTextDualEncoderModel(config=config)

# Accessing the model configuration
config_vision = model.config.vision_config
config_text = model.config.text_config

# Saving the model, including its configuration
model.save_pretrained("vit-bert")

# loading model and config from pretrained folder
vision_text_config = VisionTextDualEncoderConfig.from_pretrained("vit-bert")
model = VisionTextDualEncoderModel.from_pretrained("vit-bert", config=vision_text_config)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ViTConfig, BertConfig, VisionTextDualEncoderConfig, VisionTextDualEncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BERT and ViT configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config_vision = ViTConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>config_text = BertConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span>config = VisionTextDualEncoderConfig.from_vision_text_configs(config_vision, config_text, projection_dim=<span class="hljs-number">512</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BERT and ViT model (with random weights)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VisionTextDualEncoderModel(config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config_vision = model.config.vision_config
<span class="hljs-meta">&gt;&gt;&gt; </span>config_text = model.config.text_config

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Saving the model, including its configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.save_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># loading model and config from pretrained folder</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>vision_text_config = VisionTextDualEncoderConfig.from_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VisionTextDualEncoderModel.from_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>, config=vision_text_config)`}}),{c(){m=s("p"),x=r("Examples:"),g=c(),T(f.$$.fragment)},l(d){m=n(d,"P",{});var h=a(m);x=i(h,"Examples:"),h.forEach(t),g=p(d),b(f.$$.fragment,d)},m(d,h){_(d,m,h),e(m,x),_(d,g,h),E(f,d,h),v=!0},p:xa,i(d){v||($(f.$$.fragment,d),v=!0)},o(d){y(f.$$.fragment,d),v=!1},d(d){d&&t(m),d&&t(g),w(f,d)}}}function Fr(I){let m,x,g,f,v;return{c(){m=s("p"),x=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s("code"),f=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=n(d,"P",{});var h=a(m);x=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n(h,"CODE",{});var S=a(g);f=i(S,"Module"),S.forEach(t),v=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){_(d,m,h),e(m,x),e(m,g),e(g,f),e(m,v)},d(d){d&&t(m)}}}function qr(I){let m,x,g,f,v;return f=new Ta({props:{code:`from PIL import Image
import requests
from transformers import (
    VisionTextDualEncoderModel,
    VisionTextDualEncoderProcessor,
    AutoImageProcessor,
    Autookenizer,
)

tokenizer = AutoTokenizer.from_pretrained("bert-base-uncased")
image_processor = AutoImageProcessor.from_pretrained("google/vit-base-patch16-224")
processor = VisionTextDualEncoderProcessor(image_processor, tokenizer)
model = VisionTextDualEncoderModel.from_vision_text_pretrained(
    "google/vit-base-patch16-224", "bert-base-uncased"
)

# contrastive training
urls = [
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    "https://farm3.staticflickr.com/2674/5850229113_4fe05d5265_z.jpg",
]
images = [Image.open(requests.get(url, stream=True).raw) for url in urls]
inputs = processor(
    text=["a photo of a cat", "a photo of a dog"], images=images, return_tensors="pt", padding=True
)
outputs = model(
    input_ids=inputs.input_ids,
    attention_mask=inputs.attention_mask,
    pixel_values=inputs.pixel_values,
    return_loss=True,
)
loss, logits_per_image = outputs.loss, outputs.logits_per_image  # this is the image-text similarity score

# save and load from pretrained
model.save_pretrained("vit-bert")
model = VisionTextDualEncoderModel.from_pretrained("vit-bert")

# inference
outputs = model(**inputs)
logits_per_image = outputs.logits_per_image  # this is the image-text similarity score
probs = logits_per_image.softmax(dim=1)  # we can take the softmax to get the label probabilities`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    VisionTextDualEncoderModel,
<span class="hljs-meta">... </span>    VisionTextDualEncoderProcessor,
<span class="hljs-meta">... </span>    AutoImageProcessor,
<span class="hljs-meta">... </span>    Autookenizer,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = VisionTextDualEncoderProcessor(image_processor, tokenizer)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VisionTextDualEncoderModel.from_vision_text_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>, <span class="hljs-string">&quot;bert-base-uncased&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># contrastive training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>urls = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://farm3.staticflickr.com/2674/5850229113_4fe05d5265_z.jpg&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>images = [Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw) <span class="hljs-keyword">for</span> url <span class="hljs-keyword">in</span> urls]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(
<span class="hljs-meta">... </span>    text=[<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], images=images, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(
<span class="hljs-meta">... </span>    input_ids=inputs.input_ids,
<span class="hljs-meta">... </span>    attention_mask=inputs.attention_mask,
<span class="hljs-meta">... </span>    pixel_values=inputs.pixel_values,
<span class="hljs-meta">... </span>    return_loss=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss, logits_per_image = outputs.loss, outputs.logits_per_image  <span class="hljs-comment"># this is the image-text similarity score</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># save and load from pretrained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.save_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VisionTextDualEncoderModel.from_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_per_image = outputs.logits_per_image  <span class="hljs-comment"># this is the image-text similarity score</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = logits_per_image.softmax(dim=<span class="hljs-number">1</span>)  <span class="hljs-comment"># we can take the softmax to get the label probabilities</span>`}}),{c(){m=s("p"),x=r("Examples:"),g=c(),T(f.$$.fragment)},l(d){m=n(d,"P",{});var h=a(m);x=i(h,"Examples:"),h.forEach(t),g=p(d),b(f.$$.fragment,d)},m(d,h){_(d,m,h),e(m,x),_(d,g,h),E(f,d,h),v=!0},p:xa,i(d){v||($(f.$$.fragment,d),v=!0)},o(d){y(f.$$.fragment,d),v=!1},d(d){d&&t(m),d&&t(g),w(f,d)}}}function Lr(I){let m,x,g,f,v;return{c(){m=s("p"),x=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=s("code"),f=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=n(d,"P",{});var h=a(m);x=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=n(h,"CODE",{});var S=a(g);f=i(S,"Module"),S.forEach(t),v=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){_(d,m,h),e(m,x),e(m,g),e(g,f),e(m,v)},d(d){d&&t(m)}}}function Sr(I){let m,x,g,f,v;return f=new Ta({props:{code:`from PIL import Image
import requests
import jax
from transformers import (
    FlaxVisionTextDualEncoderModel,
    VisionTextDualEncoderProcessor,
    AutoImageProcessor,
    AutoTokenizer,
)

tokenizer = AutoTokenizer.from_pretrained("bert-base-uncased")
image_processor = AutoImageProcesor.from_pretrained("google/vit-base-patch16-224")
processor = VisionTextDualEncoderProcessor(image_processor, tokenizer)
model = FlaxVisionTextDualEncoderModel.from_vision_text_pretrained(
    "google/vit-base-patch16-224", "bert-base-uncased"
)

# contrastive training
urls = [
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    "https://farm3.staticflickr.com/2674/5850229113_4fe05d5265_z.jpg",
]
images = [Image.open(requests.get(url, stream=True).raw) for url in urls]
inputs = processor(
    text=["a photo of a cat", "a photo of a dog"], images=images, return_tensors="np", padding=True
)
outputs = model(
    input_ids=inputs.input_ids,
    attention_mask=inputs.attention_mask,
    pixel_values=inputs.pixel_values,
)
logits_per_image = outputs.logits_per_image  # this is the image-text similarity score

# save and load from pretrained
model.save_pretrained("vit-bert")
model = FlaxVisionTextDualEncoderModel.from_pretrained("vit-bert")

# inference
outputs = model(**inputs)
logits_per_image = outputs.logits_per_image  # this is the image-text similarity score
probs = jax.nn.softmax(logits_per_image, axis=1)  # we can take the softmax to get the label probabilities`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    FlaxVisionTextDualEncoderModel,
<span class="hljs-meta">... </span>    VisionTextDualEncoderProcessor,
<span class="hljs-meta">... </span>    AutoImageProcessor,
<span class="hljs-meta">... </span>    AutoTokenizer,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcesor.from_pretrained(<span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = VisionTextDualEncoderProcessor(image_processor, tokenizer)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxVisionTextDualEncoderModel.from_vision_text_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;google/vit-base-patch16-224&quot;</span>, <span class="hljs-string">&quot;bert-base-uncased&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># contrastive training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>urls = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://farm3.staticflickr.com/2674/5850229113_4fe05d5265_z.jpg&quot;</span>,
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>images = [Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw) <span class="hljs-keyword">for</span> url <span class="hljs-keyword">in</span> urls]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(
<span class="hljs-meta">... </span>    text=[<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], images=images, return_tensors=<span class="hljs-string">&quot;np&quot;</span>, padding=<span class="hljs-literal">True</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(
<span class="hljs-meta">... </span>    input_ids=inputs.input_ids,
<span class="hljs-meta">... </span>    attention_mask=inputs.attention_mask,
<span class="hljs-meta">... </span>    pixel_values=inputs.pixel_values,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_per_image = outputs.logits_per_image  <span class="hljs-comment"># this is the image-text similarity score</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># save and load from pretrained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.save_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxVisionTextDualEncoderModel.from_pretrained(<span class="hljs-string">&quot;vit-bert&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits_per_image = outputs.logits_per_image  <span class="hljs-comment"># this is the image-text similarity score</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = jax.nn.softmax(logits_per_image, axis=<span class="hljs-number">1</span>)  <span class="hljs-comment"># we can take the softmax to get the label probabilities</span>`}}),{c(){m=s("p"),x=r("Examples:"),g=c(),T(f.$$.fragment)},l(d){m=n(d,"P",{});var h=a(m);x=i(h,"Examples:"),h.forEach(t),g=p(d),b(f.$$.fragment,d)},m(d,h){_(d,m,h),e(m,x),_(d,g,h),E(f,d,h),v=!0},p:xa,i(d){v||($(f.$$.fragment,d),v=!0)},o(d){y(f.$$.fragment,d),v=!1},d(d){d&&t(m),d&&t(g),w(f,d)}}}function Or(I){let m,x,g,f,v,d,h,S,qo,so,U,Y,Mt,_e,Lo,zt,So,no,k,Oo,ot,No,Bo,At,Wo,Ro,st,Uo,Jo,nt,Ho,Zo,at,Go,Xo,Ct,Ko,Qo,rt,Yo,es,it,ts,os,ao,ee,ss,ve,ns,as,ro,J,te,It,xe,rs,Ft,is,io,M,Te,ls,B,lt,ds,cs,dt,ps,ms,ct,fs,hs,us,H,gs,pt,_s,vs,mt,xs,Ts,bs,oe,Es,se,be,$s,Ee,ys,ft,ws,js,ks,ne,$e,Ds,ye,Vs,ht,Ps,Ms,lo,Z,ae,qt,we,zs,Lt,As,co,z,je,Cs,St,Is,Fs,A,ut,qs,Ls,gt,Ss,Os,_t,Ns,Bs,Ot,Ws,Rs,vt,Us,Js,Hs,re,ke,Zs,De,Gs,xt,Xs,Ks,Qs,ie,Ve,Ys,Pe,en,Tt,tn,on,po,G,le,Nt,Me,sn,Bt,nn,mo,D,ze,an,Ae,rn,bt,ln,dn,cn,Ce,pn,Ie,mn,fn,hn,Wt,un,gn,Fe,_n,Et,vn,xn,Tn,qe,bn,Le,En,$n,yn,F,Se,wn,X,jn,$t,kn,Dn,Rt,Vn,Pn,Mn,de,zn,ce,fo,K,pe,Ut,Oe,An,Jt,Cn,ho,j,Ne,In,Be,Fn,yt,qn,Ln,Sn,We,On,Re,Nn,Bn,Wn,Ht,Rn,Un,Ue,Jn,wt,Hn,Zn,Gn,Je,Xn,He,Kn,Qn,Yn,Zt,ea,ta,O,Gt,Ze,oa,sa,Xt,Ge,na,aa,Kt,Xe,ra,ia,Qt,Ke,la,da,q,Qe,ca,Q,pa,jt,ma,fa,Yt,ha,ua,ga,me,_a,fe,uo;return d=new Pt({}),_e=new Pt({}),xe=new Pt({}),Te=new R({props:{name:"class transformers.VisionTextDualEncoderConfig",anchor:"transformers.VisionTextDualEncoderConfig",parameters:[{name:"projection_dim",val:" = 512"},{name:"logit_scale_init_value",val:" = 2.6592"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisionTextDualEncoderConfig.text_config",description:`<strong>text_config</strong> (<code>dict</code>) &#x2014;
Dictionary of configuration options that defines text model config.`,name:"text_config"},{anchor:"transformers.VisionTextDualEncoderConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>) &#x2014;
Dictionary of configuration options that defines vison model config.`,name:"vision_config"},{anchor:"transformers.VisionTextDualEncoderConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimentionality of text and vision projection layers.`,name:"projection_dim"},{anchor:"transformers.VisionTextDualEncoderConfig.logit_scale_init_value",description:`<strong>logit_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 2.6592) &#x2014;
The inital value of the <em>logit_scale</em> paramter. Default is used as per the original CLIP implementation.`,name:"logit_scale_init_value"},{anchor:"transformers.VisionTextDualEncoderConfig.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/configuration_vision_text_dual_encoder.py#L28"}}),oe=new va({props:{anchor:"transformers.VisionTextDualEncoderConfig.example",$$slots:{default:[Ir]},$$scope:{ctx:I}}}),be=new R({props:{name:"from_vision_text_configs",anchor:"transformers.VisionTextDualEncoderConfig.from_vision_text_configs",parameters:[{name:"vision_config",val:": PretrainedConfig"},{name:"text_config",val:": PretrainedConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/configuration_vision_text_dual_encoder.py#L105",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig"
>VisionTextDualEncoderConfig</a></p>
`}}),$e=new R({props:{name:"to_dict",anchor:"transformers.VisionTextDualEncoderConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/configuration_vision_text_dual_encoder.py#L117",returnDescription:`
<p>Dictionary of all the attributes that make up this configuration instance,</p>
`,returnType:`
<p><code>Dict[str, any]</code></p>
`}}),we=new Pt({}),je=new R({props:{name:"class transformers.VisionTextDualEncoderProcessor",anchor:"transformers.VisionTextDualEncoderProcessor",parameters:[{name:"image_processor",val:" = None"},{name:"tokenizer",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisionTextDualEncoderProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.VisionTextDualEncoderProcessor.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/processing_vision_text_dual_encoder.py#L25"}}),ke=new R({props:{name:"batch_decode",anchor:"transformers.VisionTextDualEncoderProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/processing_vision_text_dual_encoder.py#L115"}}),Ve=new R({props:{name:"decode",anchor:"transformers.VisionTextDualEncoderProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/processing_vision_text_dual_encoder.py#L122"}}),Me=new Pt({}),ze=new R({props:{name:"class transformers.VisionTextDualEncoderModel",anchor:"transformers.VisionTextDualEncoderModel",parameters:[{name:"config",val:": typing.Optional[transformers.models.vision_text_dual_encoder.configuration_vision_text_dual_encoder.VisionTextDualEncoderConfig] = None"},{name:"vision_model",val:": typing.Optional[transformers.modeling_utils.PreTrainedModel] = None"},{name:"text_model",val:": typing.Optional[transformers.modeling_utils.PreTrainedModel] = None"}],parametersDescription:[{anchor:"transformers.VisionTextDualEncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/vision-encoder-decoder#transformers.VisionEncoderDecoderConfig">VisionEncoderDecoderConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/modeling_vision_text_dual_encoder.py#L162"}}),Se=new R({props:{name:"forward",anchor:"transformers.VisionTextDualEncoderModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"return_loss",val:": typing.Optional[bool] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VisionTextDualEncoderModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.VisionTextDualEncoderModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.VisionTextDualEncoderModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.VisionTextDualEncoderModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
an image processor (e.g. if you use ViT as the encoder, you should use <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>). See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ViTImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VisionTextDualEncoderModel.forward.return_loss",description:`<strong>return_loss</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the contrastive loss.`,name:"return_loss"},{anchor:"transformers.VisionTextDualEncoderModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VisionTextDualEncoderModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VisionTextDualEncoderModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/modeling_vision_text_dual_encoder.py#L294",returnDescription:`
<p>A <code>transformers.models.clip.modeling_clip.CLIPOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig"
>VisionTextDualEncoderConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>return_loss</code> is <code>True</code>) \u2014 Contrastive loss for image-text similarity.</li>
<li><strong>logits_per_image:(<code>torch.FloatTensor</code></strong> of shape <code>(image_batch_size, text_batch_size)</code>) \u2014 The scaled dot product scores between <code>image_embeds</code> and <code>text_embeds</code>. This represents the image-text
similarity scores.</li>
<li><strong>logits_per_text:(<code>torch.FloatTensor</code></strong> of shape <code>(text_batch_size, image_batch_size)</code>) \u2014 The scaled dot product scores between <code>text_embeds</code> and <code>image_embeds</code>. This represents the text-image
similarity scores.</li>
<li><strong>text_embeds(<code>torch.FloatTensor</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The text embeddings obtained by applying the projection layer to the pooled output of <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.CLIPTextModel"
>CLIPTextModel</a>.</li>
<li><strong>image_embeds(<code>torch.FloatTensor</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The image embeddings obtained by applying the projection layer to the pooled output of <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.CLIPVisionModel"
>CLIPVisionModel</a>.</li>
<li><strong>text_model_output(<code>BaseModelOutputWithPooling</code>):</strong>
The output of the <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.CLIPTextModel"
>CLIPTextModel</a>.</li>
<li><strong>vision_model_output(<code>BaseModelOutputWithPooling</code>):</strong>
The output of the <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.CLIPVisionModel"
>CLIPVisionModel</a>.</li>
</ul>
`,returnType:`
<p><code>transformers.models.clip.modeling_clip.CLIPOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),de=new Vr({props:{$$slots:{default:[Fr]},$$scope:{ctx:I}}}),ce=new va({props:{anchor:"transformers.VisionTextDualEncoderModel.forward.example",$$slots:{default:[qr]},$$scope:{ctx:I}}}),Oe=new Pt({}),Ne=new R({props:{name:"class transformers.FlaxVisionTextDualEncoderModel",anchor:"transformers.FlaxVisionTextDualEncoderModel",parameters:[{name:"config",val:": VisionTextDualEncoderConfig"},{name:"input_shape",val:": typing.Optional[typing.Tuple] = None"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxVisionTextDualEncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig">VisionTextDualEncoderConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/modeling_flax_vision_text_dual_encoder.py#L219"}}),Qe=new R({props:{name:"__call__",anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__",parameters:[{name:"input_ids",val:""},{name:"pixel_values",val:""},{name:"attention_mask",val:" = None"},{name:"position_ids",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
an image processor (e.g. if you use ViT as the encoder, you should use <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>). See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ViTImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/vision_text_dual_encoder/modeling_flax_vision_text_dual_encoder.py#L270",returnDescription:`
<p>A <code>transformers.models.clip.modeling_flax_clip.FlaxCLIPOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig"
>VisionTextDualEncoderConfig</a>) and inputs.</p>
<ul>
<li><strong>logits_per_image:(<code>jnp.ndarray</code></strong> of shape <code>(image_batch_size, text_batch_size)</code>) \u2014 The scaled dot product scores between <code>image_embeds</code> and <code>text_embeds</code>. This represents the image-text
similarity scores.</li>
<li><strong>logits_per_text:(<code>jnp.ndarray</code></strong> of shape <code>(text_batch_size, image_batch_size)</code>) \u2014 The scaled dot product scores between <code>text_embeds</code> and <code>image_embeds</code>. This represents the text-image
similarity scores.</li>
<li><strong>text_embeds(<code>jnp.ndarray</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The text embeddings obtained by applying the projection layer to the pooled output of
<a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.FlaxCLIPTextModel"
>FlaxCLIPTextModel</a>.</li>
<li><strong>image_embeds(<code>jnp.ndarray</code></strong> of shape <code>(batch_size, output_dim</code>) \u2014 The image embeddings obtained by applying the projection layer to the pooled output of
<a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.FlaxCLIPVisionModel"
>FlaxCLIPVisionModel</a>.</li>
<li><strong>text_model_output(<code>FlaxBaseModelOutputWithPooling</code>):</strong>
The output of the <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.FlaxCLIPTextModel"
>FlaxCLIPTextModel</a>.</li>
<li><strong>vision_model_output(<code>FlaxBaseModelOutputWithPooling</code>):</strong>
The output of the <a
  href="/docs/transformers/v4.26.0/en/model_doc/clip#transformers.FlaxCLIPVisionModel"
>FlaxCLIPVisionModel</a>.</li>
</ul>
`,returnType:`
<p><code>transformers.models.clip.modeling_flax_clip.FlaxCLIPOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),me=new Vr({props:{$$slots:{default:[Lr]},$$scope:{ctx:I}}}),fe=new va({props:{anchor:"transformers.FlaxVisionTextDualEncoderModel.__call__.example",$$slots:{default:[Sr]},$$scope:{ctx:I}}}),{c(){m=s("meta"),x=c(),g=s("h1"),f=s("a"),v=s("span"),T(d.$$.fragment),h=c(),S=s("span"),qo=r("VisionTextDualEncoder"),so=c(),U=s("h2"),Y=s("a"),Mt=s("span"),T(_e.$$.fragment),Lo=c(),zt=s("span"),So=r("Overview"),no=c(),k=s("p"),Oo=r("The "),ot=s("a"),No=r("VisionTextDualEncoderModel"),Bo=r(` can be used to initialize a vision-text dual encoder model with
any pretrained vision autoencoding model as the vision encoder (`),At=s("em"),Wo=r("e.g."),Ro=c(),st=s("a"),Uo=r("ViT"),Jo=r(", "),nt=s("a"),Ho=r("BEiT"),Zo=r(", "),at=s("a"),Go=r("DeiT"),Xo=r(") and any pretrained text autoencoding model as the text encoder ("),Ct=s("em"),Ko=r("e.g."),Qo=c(),rt=s("a"),Yo=r("RoBERTa"),es=r(", "),it=s("a"),ts=r("BERT"),os=r(`). Two projection layers are added on top of both the vision and text encoder to project the output embeddings
to a shared latent space. The projection layers are randomly initialized so the model should be fine-tuned on a
downstream task. This model can be used to align the vision-text embeddings using CLIP like contrastive image-text
training and then can be used for zero-shot vision tasks such image-classification or retrieval.`),ao=c(),ee=s("p"),ss=r("In "),ve=s("a"),ns=r("LiT: Zero-Shot Transfer with Locked-image Text Tuning"),as=r(` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvement on
new zero-shot vision tasks such as image classification or retrieval.`),ro=c(),J=s("h2"),te=s("a"),It=s("span"),T(xe.$$.fragment),rs=c(),Ft=s("span"),is=r("VisionTextDualEncoderConfig"),io=c(),M=s("div"),T(Te.$$.fragment),ls=c(),B=s("p"),lt=s("a"),ds=r("VisionTextDualEncoderConfig"),cs=r(` is the configuration class to store the configuration of a
`),dt=s("a"),ps=r("VisionTextDualEncoderModel"),ms=r(". It is used to instantiate "),ct=s("a"),fs=r("VisionTextDualEncoderModel"),hs=r(` model according to the
specified arguments, defining the text model and vision model configs.`),us=c(),H=s("p"),gs=r("Configuration objects inherit from "),pt=s("a"),_s=r("PretrainedConfig"),vs=r(` and can be used to control the model outputs. Read the
documentation from `),mt=s("a"),xs=r("PretrainedConfig"),Ts=r(" for more information."),bs=c(),T(oe.$$.fragment),Es=c(),se=s("div"),T(be.$$.fragment),$s=c(),Ee=s("p"),ys=r("Instantiate a "),ft=s("a"),ws=r("VisionTextDualEncoderConfig"),js=r(` (or a derived class) from text model configuration and vision
model configuration.`),ks=c(),ne=s("div"),T($e.$$.fragment),Ds=c(),ye=s("p"),Vs=r("Serializes this instance to a Python dictionary. Override the default "),ht=s("a"),Ps=r("to_dict()"),Ms=r("."),lo=c(),Z=s("h2"),ae=s("a"),qt=s("span"),T(we.$$.fragment),zs=c(),Lt=s("span"),As=r("VisionTextDualEncoderProcessor"),co=c(),z=s("div"),T(je.$$.fragment),Cs=c(),St=s("p"),Is=r(`Constructs a VisionTextDualEncoder processor which wraps an image processor and a tokenizer into a single
processor.`),Fs=c(),A=s("p"),ut=s("a"),qs=r("VisionTextDualEncoderProcessor"),Ls=r(" offers all the functionalities of "),gt=s("a"),Ss=r("AutoImageProcessor"),Os=r(" and "),_t=s("a"),Ns=r("AutoTokenizer"),Bs=r(`.
See the `),Ot=s("code"),Ws=r("__call__()"),Rs=r(" and "),vt=s("a"),Us=r("decode()"),Js=r(` for more
information.`),Hs=c(),re=s("div"),T(ke.$$.fragment),Zs=c(),De=s("p"),Gs=r(`This method forwards all its arguments to VisionTextDualEncoderTokenizer\u2019s
`),xt=s("a"),Xs=r("batch_decode()"),Ks=r(". Please refer to the docstring of this method for more information."),Qs=c(),ie=s("div"),T(Ve.$$.fragment),Ys=c(),Pe=s("p"),en=r("This method forwards all its arguments to VisionTextDualEncoderTokenizer\u2019s "),Tt=s("a"),tn=r("decode()"),on=r(`.
Please refer to the docstring of this method for more information.`),po=c(),G=s("h2"),le=s("a"),Nt=s("span"),T(Me.$$.fragment),sn=c(),Bt=s("span"),nn=r("VisionTextDualEncoderModel"),mo=c(),D=s("div"),T(ze.$$.fragment),an=c(),Ae=s("p"),rn=r(`This class can be used to initialize a vision-text dual encoder model with any pretrained vision autoencoding model
as the vision encoder and any pretrained text model as the text encoder. The vision and text encoders are loaded
via the `),bt=s("a"),ln=r("from_pretrained()"),dn=r(` method. The projection layers are automatically added to the model and
should be fine-tuned on a downstream task, like contrastive image-text modeling.`),cn=c(),Ce=s("p"),pn=r("In "),Ie=s("a"),mn=r("LiT: Zero-Shot Transfer with Locked-image Text Tuning"),fn=r(` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvment
on new zero-shot vision tasks such as image classification or retrieval.`),hn=c(),Wt=s("p"),un=r(`After such a Vision-Text-Dual-Encoder model has been trained/fine-tuned, it can be saved/loaded just like any other
models (see the examples for more information).`),gn=c(),Fe=s("p"),_n=r("This model inherits from "),Et=s("a"),vn=r("PreTrainedModel"),xn=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tn=c(),qe=s("p"),bn=r("This model is also a PyTorch "),Le=s("a"),En=r("torch.nn.Module"),$n=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yn=c(),F=s("div"),T(Se.$$.fragment),wn=c(),X=s("p"),jn=r("The "),$t=s("a"),kn=r("VisionTextDualEncoderModel"),Dn=r(" forward method, overrides the "),Rt=s("code"),Vn=r("__call__"),Pn=r(" special method."),Mn=c(),T(de.$$.fragment),zn=c(),T(ce.$$.fragment),fo=c(),K=s("h2"),pe=s("a"),Ut=s("span"),T(Oe.$$.fragment),An=c(),Jt=s("span"),Cn=r("FlaxVisionTextDualEncoderModel"),ho=c(),j=s("div"),T(Ne.$$.fragment),In=c(),Be=s("p"),Fn=r(`This class can be used to initialize a vision-text dual encoder model with any pretrained vision autoencoding model
as the vision encoder and any pretrained text model as the text encoder. The vision and text encoders are loaded
via the `),yt=s("a"),qn=r("from_pretrained()"),Ln=r(` method. The projection layers are automatically added to the model and
should be fine-tuned on a downstream task, like contrastive image-text modeling.`),Sn=c(),We=s("p"),On=r("In "),Re=s("a"),Nn=r("LiT: Zero-Shot Transfer with Locked-image Text Tuning"),Bn=r(` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvment
on new zero-shot vision tasks such as image classification or retrieval.`),Wn=c(),Ht=s("p"),Rn=r(`After such a Vision-Text-Dual-Encoder model has been trained/fine-tuned, it can be saved/loaded just like any other
models (see the examples for more information).`),Un=c(),Ue=s("p"),Jn=r("This model inherits from "),wt=s("a"),Hn=r("PreTrainedModel"),Zn=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gn=c(),Je=s("p"),Xn=r("This model is also a Flax Linen "),He=s("a"),Kn=r("flax.linen.Module"),Qn=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Yn=c(),Zt=s("p"),ea=r("Finally, this model supports inherent JAX features such as:"),ta=c(),O=s("ul"),Gt=s("li"),Ze=s("a"),oa=r("Just-In-Time (JIT) compilation"),sa=c(),Xt=s("li"),Ge=s("a"),na=r("Automatic Differentiation"),aa=c(),Kt=s("li"),Xe=s("a"),ra=r("Vectorization"),ia=c(),Qt=s("li"),Ke=s("a"),la=r("Parallelization"),da=c(),q=s("div"),T(Qe.$$.fragment),ca=c(),Q=s("p"),pa=r("The "),jt=s("a"),ma=r("FlaxVisionTextDualEncoderModel"),fa=r(" forward method, overrides the "),Yt=s("code"),ha=r("__call__"),ua=r(" special method."),ga=c(),T(me.$$.fragment),_a=c(),T(fe.$$.fragment),this.h()},l(o){const u=Ar('[data-svelte="svelte-1phssyn"]',document.head);m=n(u,"META",{name:!0,content:!0}),u.forEach(t),x=p(o),g=n(o,"H1",{class:!0});var Ye=a(g);f=n(Ye,"A",{id:!0,class:!0,href:!0});var eo=a(f);v=n(eo,"SPAN",{});var to=a(v);b(d.$$.fragment,to),to.forEach(t),eo.forEach(t),h=p(Ye),S=n(Ye,"SPAN",{});var oo=a(S);qo=i(oo,"VisionTextDualEncoder"),oo.forEach(t),Ye.forEach(t),so=p(o),U=n(o,"H2",{class:!0});var et=a(U);Y=n(et,"A",{id:!0,class:!0,href:!0});var ba=a(Y);Mt=n(ba,"SPAN",{});var Ea=a(Mt);b(_e.$$.fragment,Ea),Ea.forEach(t),ba.forEach(t),Lo=p(et),zt=n(et,"SPAN",{});var $a=a(zt);So=i($a,"Overview"),$a.forEach(t),et.forEach(t),no=p(o),k=n(o,"P",{});var V=a(k);Oo=i(V,"The "),ot=n(V,"A",{href:!0});var ya=a(ot);No=i(ya,"VisionTextDualEncoderModel"),ya.forEach(t),Bo=i(V,` can be used to initialize a vision-text dual encoder model with
any pretrained vision autoencoding model as the vision encoder (`),At=n(V,"EM",{});var wa=a(At);Wo=i(wa,"e.g."),wa.forEach(t),Ro=p(V),st=n(V,"A",{href:!0});var ja=a(st);Uo=i(ja,"ViT"),ja.forEach(t),Jo=i(V,", "),nt=n(V,"A",{href:!0});var ka=a(nt);Ho=i(ka,"BEiT"),ka.forEach(t),Zo=i(V,", "),at=n(V,"A",{href:!0});var Da=a(at);Go=i(Da,"DeiT"),Da.forEach(t),Xo=i(V,") and any pretrained text autoencoding model as the text encoder ("),Ct=n(V,"EM",{});var Va=a(Ct);Ko=i(Va,"e.g."),Va.forEach(t),Qo=p(V),rt=n(V,"A",{href:!0});var Pa=a(rt);Yo=i(Pa,"RoBERTa"),Pa.forEach(t),es=i(V,", "),it=n(V,"A",{href:!0});var Ma=a(it);ts=i(Ma,"BERT"),Ma.forEach(t),os=i(V,`). Two projection layers are added on top of both the vision and text encoder to project the output embeddings
to a shared latent space. The projection layers are randomly initialized so the model should be fine-tuned on a
downstream task. This model can be used to align the vision-text embeddings using CLIP like contrastive image-text
training and then can be used for zero-shot vision tasks such image-classification or retrieval.`),V.forEach(t),ao=p(o),ee=n(o,"P",{});var go=a(ee);ss=i(go,"In "),ve=n(go,"A",{href:!0,rel:!0});var za=a(ve);ns=i(za,"LiT: Zero-Shot Transfer with Locked-image Text Tuning"),za.forEach(t),as=i(go,` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvement on
new zero-shot vision tasks such as image classification or retrieval.`),go.forEach(t),ro=p(o),J=n(o,"H2",{class:!0});var _o=a(J);te=n(_o,"A",{id:!0,class:!0,href:!0});var Aa=a(te);It=n(Aa,"SPAN",{});var Ca=a(It);b(xe.$$.fragment,Ca),Ca.forEach(t),Aa.forEach(t),rs=p(_o),Ft=n(_o,"SPAN",{});var Ia=a(Ft);is=i(Ia,"VisionTextDualEncoderConfig"),Ia.forEach(t),_o.forEach(t),io=p(o),M=n(o,"DIV",{class:!0});var L=a(M);b(Te.$$.fragment,L),ls=p(L),B=n(L,"P",{});var tt=a(B);lt=n(tt,"A",{href:!0});var Fa=a(lt);ds=i(Fa,"VisionTextDualEncoderConfig"),Fa.forEach(t),cs=i(tt,` is the configuration class to store the configuration of a
`),dt=n(tt,"A",{href:!0});var qa=a(dt);ps=i(qa,"VisionTextDualEncoderModel"),qa.forEach(t),ms=i(tt,". It is used to instantiate "),ct=n(tt,"A",{href:!0});var La=a(ct);fs=i(La,"VisionTextDualEncoderModel"),La.forEach(t),hs=i(tt,` model according to the
specified arguments, defining the text model and vision model configs.`),tt.forEach(t),us=p(L),H=n(L,"P",{});var kt=a(H);gs=i(kt,"Configuration objects inherit from "),pt=n(kt,"A",{href:!0});var Sa=a(pt);_s=i(Sa,"PretrainedConfig"),Sa.forEach(t),vs=i(kt,` and can be used to control the model outputs. Read the
documentation from `),mt=n(kt,"A",{href:!0});var Oa=a(mt);xs=i(Oa,"PretrainedConfig"),Oa.forEach(t),Ts=i(kt," for more information."),kt.forEach(t),bs=p(L),b(oe.$$.fragment,L),Es=p(L),se=n(L,"DIV",{class:!0});var vo=a(se);b(be.$$.fragment,vo),$s=p(vo),Ee=n(vo,"P",{});var xo=a(Ee);ys=i(xo,"Instantiate a "),ft=n(xo,"A",{href:!0});var Na=a(ft);ws=i(Na,"VisionTextDualEncoderConfig"),Na.forEach(t),js=i(xo,` (or a derived class) from text model configuration and vision
model configuration.`),xo.forEach(t),vo.forEach(t),ks=p(L),ne=n(L,"DIV",{class:!0});var To=a(ne);b($e.$$.fragment,To),Ds=p(To),ye=n(To,"P",{});var bo=a(ye);Vs=i(bo,"Serializes this instance to a Python dictionary. Override the default "),ht=n(bo,"A",{href:!0});var Ba=a(ht);Ps=i(Ba,"to_dict()"),Ba.forEach(t),Ms=i(bo,"."),bo.forEach(t),To.forEach(t),L.forEach(t),lo=p(o),Z=n(o,"H2",{class:!0});var Eo=a(Z);ae=n(Eo,"A",{id:!0,class:!0,href:!0});var Wa=a(ae);qt=n(Wa,"SPAN",{});var Ra=a(qt);b(we.$$.fragment,Ra),Ra.forEach(t),Wa.forEach(t),zs=p(Eo),Lt=n(Eo,"SPAN",{});var Ua=a(Lt);As=i(Ua,"VisionTextDualEncoderProcessor"),Ua.forEach(t),Eo.forEach(t),co=p(o),z=n(o,"DIV",{class:!0});var W=a(z);b(je.$$.fragment,W),Cs=p(W),St=n(W,"P",{});var Ja=a(St);Is=i(Ja,`Constructs a VisionTextDualEncoder processor which wraps an image processor and a tokenizer into a single
processor.`),Ja.forEach(t),Fs=p(W),A=n(W,"P",{});var N=a(A);ut=n(N,"A",{href:!0});var Ha=a(ut);qs=i(Ha,"VisionTextDualEncoderProcessor"),Ha.forEach(t),Ls=i(N," offers all the functionalities of "),gt=n(N,"A",{href:!0});var Za=a(gt);Ss=i(Za,"AutoImageProcessor"),Za.forEach(t),Os=i(N," and "),_t=n(N,"A",{href:!0});var Ga=a(_t);Ns=i(Ga,"AutoTokenizer"),Ga.forEach(t),Bs=i(N,`.
See the `),Ot=n(N,"CODE",{});var Xa=a(Ot);Ws=i(Xa,"__call__()"),Xa.forEach(t),Rs=i(N," and "),vt=n(N,"A",{href:!0});var Ka=a(vt);Us=i(Ka,"decode()"),Ka.forEach(t),Js=i(N,` for more
information.`),N.forEach(t),Hs=p(W),re=n(W,"DIV",{class:!0});var $o=a(re);b(ke.$$.fragment,$o),Zs=p($o),De=n($o,"P",{});var yo=a(De);Gs=i(yo,`This method forwards all its arguments to VisionTextDualEncoderTokenizer\u2019s
`),xt=n(yo,"A",{href:!0});var Qa=a(xt);Xs=i(Qa,"batch_decode()"),Qa.forEach(t),Ks=i(yo,". Please refer to the docstring of this method for more information."),yo.forEach(t),$o.forEach(t),Qs=p(W),ie=n(W,"DIV",{class:!0});var wo=a(ie);b(Ve.$$.fragment,wo),Ys=p(wo),Pe=n(wo,"P",{});var jo=a(Pe);en=i(jo,"This method forwards all its arguments to VisionTextDualEncoderTokenizer\u2019s "),Tt=n(jo,"A",{href:!0});var Ya=a(Tt);tn=i(Ya,"decode()"),Ya.forEach(t),on=i(jo,`.
Please refer to the docstring of this method for more information.`),jo.forEach(t),wo.forEach(t),W.forEach(t),po=p(o),G=n(o,"H2",{class:!0});var ko=a(G);le=n(ko,"A",{id:!0,class:!0,href:!0});var er=a(le);Nt=n(er,"SPAN",{});var tr=a(Nt);b(Me.$$.fragment,tr),tr.forEach(t),er.forEach(t),sn=p(ko),Bt=n(ko,"SPAN",{});var or=a(Bt);nn=i(or,"VisionTextDualEncoderModel"),or.forEach(t),ko.forEach(t),mo=p(o),D=n(o,"DIV",{class:!0});var C=a(D);b(ze.$$.fragment,C),an=p(C),Ae=n(C,"P",{});var Do=a(Ae);rn=i(Do,`This class can be used to initialize a vision-text dual encoder model with any pretrained vision autoencoding model
as the vision encoder and any pretrained text model as the text encoder. The vision and text encoders are loaded
via the `),bt=n(Do,"A",{href:!0});var sr=a(bt);ln=i(sr,"from_pretrained()"),sr.forEach(t),dn=i(Do,` method. The projection layers are automatically added to the model and
should be fine-tuned on a downstream task, like contrastive image-text modeling.`),Do.forEach(t),cn=p(C),Ce=n(C,"P",{});var Vo=a(Ce);pn=i(Vo,"In "),Ie=n(Vo,"A",{href:!0,rel:!0});var nr=a(Ie);mn=i(nr,"LiT: Zero-Shot Transfer with Locked-image Text Tuning"),nr.forEach(t),fn=i(Vo,` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvment
on new zero-shot vision tasks such as image classification or retrieval.`),Vo.forEach(t),hn=p(C),Wt=n(C,"P",{});var ar=a(Wt);un=i(ar,`After such a Vision-Text-Dual-Encoder model has been trained/fine-tuned, it can be saved/loaded just like any other
models (see the examples for more information).`),ar.forEach(t),gn=p(C),Fe=n(C,"P",{});var Po=a(Fe);_n=i(Po,"This model inherits from "),Et=n(Po,"A",{href:!0});var rr=a(Et);vn=i(rr,"PreTrainedModel"),rr.forEach(t),xn=i(Po,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Po.forEach(t),Tn=p(C),qe=n(C,"P",{});var Mo=a(qe);bn=i(Mo,"This model is also a PyTorch "),Le=n(Mo,"A",{href:!0,rel:!0});var ir=a(Le);En=i(ir,"torch.nn.Module"),ir.forEach(t),$n=i(Mo,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Mo.forEach(t),yn=p(C),F=n(C,"DIV",{class:!0});var he=a(F);b(Se.$$.fragment,he),wn=p(he),X=n(he,"P",{});var Dt=a(X);jn=i(Dt,"The "),$t=n(Dt,"A",{href:!0});var lr=a($t);kn=i(lr,"VisionTextDualEncoderModel"),lr.forEach(t),Dn=i(Dt," forward method, overrides the "),Rt=n(Dt,"CODE",{});var dr=a(Rt);Vn=i(dr,"__call__"),dr.forEach(t),Pn=i(Dt," special method."),Dt.forEach(t),Mn=p(he),b(de.$$.fragment,he),zn=p(he),b(ce.$$.fragment,he),he.forEach(t),C.forEach(t),fo=p(o),K=n(o,"H2",{class:!0});var zo=a(K);pe=n(zo,"A",{id:!0,class:!0,href:!0});var cr=a(pe);Ut=n(cr,"SPAN",{});var pr=a(Ut);b(Oe.$$.fragment,pr),pr.forEach(t),cr.forEach(t),An=p(zo),Jt=n(zo,"SPAN",{});var mr=a(Jt);Cn=i(mr,"FlaxVisionTextDualEncoderModel"),mr.forEach(t),zo.forEach(t),ho=p(o),j=n(o,"DIV",{class:!0});var P=a(j);b(Ne.$$.fragment,P),In=p(P),Be=n(P,"P",{});var Ao=a(Be);Fn=i(Ao,`This class can be used to initialize a vision-text dual encoder model with any pretrained vision autoencoding model
as the vision encoder and any pretrained text model as the text encoder. The vision and text encoders are loaded
via the `),yt=n(Ao,"A",{href:!0});var fr=a(yt);qn=i(fr,"from_pretrained()"),fr.forEach(t),Ln=i(Ao,` method. The projection layers are automatically added to the model and
should be fine-tuned on a downstream task, like contrastive image-text modeling.`),Ao.forEach(t),Sn=p(P),We=n(P,"P",{});var Co=a(We);On=i(Co,"In "),Re=n(Co,"A",{href:!0,rel:!0});var hr=a(Re);Nn=i(hr,"LiT: Zero-Shot Transfer with Locked-image Text Tuning"),hr.forEach(t),Bn=i(Co,` it is shown how
leveraging pre-trained (locked/frozen) image and text model for contrastive learning yields significant improvment
on new zero-shot vision tasks such as image classification or retrieval.`),Co.forEach(t),Wn=p(P),Ht=n(P,"P",{});var ur=a(Ht);Rn=i(ur,`After such a Vision-Text-Dual-Encoder model has been trained/fine-tuned, it can be saved/loaded just like any other
models (see the examples for more information).`),ur.forEach(t),Un=p(P),Ue=n(P,"P",{});var Io=a(Ue);Jn=i(Io,"This model inherits from "),wt=n(Io,"A",{href:!0});var gr=a(wt);Hn=i(gr,"PreTrainedModel"),gr.forEach(t),Zn=i(Io,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Io.forEach(t),Gn=p(P),Je=n(P,"P",{});var Fo=a(Je);Xn=i(Fo,"This model is also a Flax Linen "),He=n(Fo,"A",{href:!0,rel:!0});var _r=a(He);Kn=i(_r,"flax.linen.Module"),_r.forEach(t),Qn=i(Fo,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Fo.forEach(t),Yn=p(P),Zt=n(P,"P",{});var vr=a(Zt);ea=i(vr,"Finally, this model supports inherent JAX features such as:"),vr.forEach(t),ta=p(P),O=n(P,"UL",{});var ue=a(O);Gt=n(ue,"LI",{});var xr=a(Gt);Ze=n(xr,"A",{href:!0,rel:!0});var Tr=a(Ze);oa=i(Tr,"Just-In-Time (JIT) compilation"),Tr.forEach(t),xr.forEach(t),sa=p(ue),Xt=n(ue,"LI",{});var br=a(Xt);Ge=n(br,"A",{href:!0,rel:!0});var Er=a(Ge);na=i(Er,"Automatic Differentiation"),Er.forEach(t),br.forEach(t),aa=p(ue),Kt=n(ue,"LI",{});var $r=a(Kt);Xe=n($r,"A",{href:!0,rel:!0});var yr=a(Xe);ra=i(yr,"Vectorization"),yr.forEach(t),$r.forEach(t),ia=p(ue),Qt=n(ue,"LI",{});var wr=a(Qt);Ke=n(wr,"A",{href:!0,rel:!0});var jr=a(Ke);la=i(jr,"Parallelization"),jr.forEach(t),wr.forEach(t),ue.forEach(t),da=p(P),q=n(P,"DIV",{class:!0});var ge=a(q);b(Qe.$$.fragment,ge),ca=p(ge),Q=n(ge,"P",{});var Vt=a(Q);pa=i(Vt,"The "),jt=n(Vt,"A",{href:!0});var kr=a(jt);ma=i(kr,"FlaxVisionTextDualEncoderModel"),kr.forEach(t),fa=i(Vt," forward method, overrides the "),Yt=n(Vt,"CODE",{});var Dr=a(Yt);ha=i(Dr,"__call__"),Dr.forEach(t),ua=i(Vt," special method."),Vt.forEach(t),ga=p(ge),b(me.$$.fragment,ge),_a=p(ge),b(fe.$$.fragment,ge),ge.forEach(t),P.forEach(t),this.h()},h(){l(m,"name","hf:doc:metadata"),l(m,"content",JSON.stringify(Nr)),l(f,"id","visiontextdualencoder"),l(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(f,"href","#visiontextdualencoder"),l(g,"class","relative group"),l(Y,"id","overview"),l(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Y,"href","#overview"),l(U,"class","relative group"),l(ot,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderModel"),l(st,"href","vit"),l(nt,"href","beit"),l(at,"href","deit"),l(rt,"href","roberta"),l(it,"href","bert"),l(ve,"href","https://arxiv.org/abs/2111.07991"),l(ve,"rel","nofollow"),l(te,"id","transformers.VisionTextDualEncoderConfig"),l(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(te,"href","#transformers.VisionTextDualEncoderConfig"),l(J,"class","relative group"),l(lt,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig"),l(dt,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderModel"),l(ct,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderModel"),l(pt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),l(mt,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),l(ft,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderConfig"),l(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ht,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ae,"id","transformers.VisionTextDualEncoderProcessor"),l(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ae,"href","#transformers.VisionTextDualEncoderProcessor"),l(Z,"class","relative group"),l(ut,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderProcessor"),l(gt,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor"),l(_t,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer"),l(vt,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderProcessor.decode"),l(xt,"href","/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),l(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Tt,"href","/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),l(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(le,"id","transformers.VisionTextDualEncoderModel"),l(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(le,"href","#transformers.VisionTextDualEncoderModel"),l(G,"class","relative group"),l(bt,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.FlaxAutoModelForVision2Seq.from_pretrained"),l(Ie,"href","https://arxiv.org/abs/2111.07991"),l(Ie,"rel","nofollow"),l(Et,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),l(Le,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Le,"rel","nofollow"),l($t,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.VisionTextDualEncoderModel"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"id","transformers.FlaxVisionTextDualEncoderModel"),l(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(pe,"href","#transformers.FlaxVisionTextDualEncoderModel"),l(K,"class","relative group"),l(yt,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.FlaxAutoModelForVision2Seq.from_pretrained"),l(Re,"href","https://arxiv.org/abs/2111.07991"),l(Re,"rel","nofollow"),l(wt,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),l(He,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),l(He,"rel","nofollow"),l(Ze,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),l(Ze,"rel","nofollow"),l(Ge,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),l(Ge,"rel","nofollow"),l(Xe,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),l(Xe,"rel","nofollow"),l(Ke,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),l(Ke,"rel","nofollow"),l(jt,"href","/docs/transformers/v4.26.0/en/model_doc/vision-text-dual-encoder#transformers.FlaxVisionTextDualEncoderModel"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,m),_(o,x,u),_(o,g,u),e(g,f),e(f,v),E(d,v,null),e(g,h),e(g,S),e(S,qo),_(o,so,u),_(o,U,u),e(U,Y),e(Y,Mt),E(_e,Mt,null),e(U,Lo),e(U,zt),e(zt,So),_(o,no,u),_(o,k,u),e(k,Oo),e(k,ot),e(ot,No),e(k,Bo),e(k,At),e(At,Wo),e(k,Ro),e(k,st),e(st,Uo),e(k,Jo),e(k,nt),e(nt,Ho),e(k,Zo),e(k,at),e(at,Go),e(k,Xo),e(k,Ct),e(Ct,Ko),e(k,Qo),e(k,rt),e(rt,Yo),e(k,es),e(k,it),e(it,ts),e(k,os),_(o,ao,u),_(o,ee,u),e(ee,ss),e(ee,ve),e(ve,ns),e(ee,as),_(o,ro,u),_(o,J,u),e(J,te),e(te,It),E(xe,It,null),e(J,rs),e(J,Ft),e(Ft,is),_(o,io,u),_(o,M,u),E(Te,M,null),e(M,ls),e(M,B),e(B,lt),e(lt,ds),e(B,cs),e(B,dt),e(dt,ps),e(B,ms),e(B,ct),e(ct,fs),e(B,hs),e(M,us),e(M,H),e(H,gs),e(H,pt),e(pt,_s),e(H,vs),e(H,mt),e(mt,xs),e(H,Ts),e(M,bs),E(oe,M,null),e(M,Es),e(M,se),E(be,se,null),e(se,$s),e(se,Ee),e(Ee,ys),e(Ee,ft),e(ft,ws),e(Ee,js),e(M,ks),e(M,ne),E($e,ne,null),e(ne,Ds),e(ne,ye),e(ye,Vs),e(ye,ht),e(ht,Ps),e(ye,Ms),_(o,lo,u),_(o,Z,u),e(Z,ae),e(ae,qt),E(we,qt,null),e(Z,zs),e(Z,Lt),e(Lt,As),_(o,co,u),_(o,z,u),E(je,z,null),e(z,Cs),e(z,St),e(St,Is),e(z,Fs),e(z,A),e(A,ut),e(ut,qs),e(A,Ls),e(A,gt),e(gt,Ss),e(A,Os),e(A,_t),e(_t,Ns),e(A,Bs),e(A,Ot),e(Ot,Ws),e(A,Rs),e(A,vt),e(vt,Us),e(A,Js),e(z,Hs),e(z,re),E(ke,re,null),e(re,Zs),e(re,De),e(De,Gs),e(De,xt),e(xt,Xs),e(De,Ks),e(z,Qs),e(z,ie),E(Ve,ie,null),e(ie,Ys),e(ie,Pe),e(Pe,en),e(Pe,Tt),e(Tt,tn),e(Pe,on),_(o,po,u),_(o,G,u),e(G,le),e(le,Nt),E(Me,Nt,null),e(G,sn),e(G,Bt),e(Bt,nn),_(o,mo,u),_(o,D,u),E(ze,D,null),e(D,an),e(D,Ae),e(Ae,rn),e(Ae,bt),e(bt,ln),e(Ae,dn),e(D,cn),e(D,Ce),e(Ce,pn),e(Ce,Ie),e(Ie,mn),e(Ce,fn),e(D,hn),e(D,Wt),e(Wt,un),e(D,gn),e(D,Fe),e(Fe,_n),e(Fe,Et),e(Et,vn),e(Fe,xn),e(D,Tn),e(D,qe),e(qe,bn),e(qe,Le),e(Le,En),e(qe,$n),e(D,yn),e(D,F),E(Se,F,null),e(F,wn),e(F,X),e(X,jn),e(X,$t),e($t,kn),e(X,Dn),e(X,Rt),e(Rt,Vn),e(X,Pn),e(F,Mn),E(de,F,null),e(F,zn),E(ce,F,null),_(o,fo,u),_(o,K,u),e(K,pe),e(pe,Ut),E(Oe,Ut,null),e(K,An),e(K,Jt),e(Jt,Cn),_(o,ho,u),_(o,j,u),E(Ne,j,null),e(j,In),e(j,Be),e(Be,Fn),e(Be,yt),e(yt,qn),e(Be,Ln),e(j,Sn),e(j,We),e(We,On),e(We,Re),e(Re,Nn),e(We,Bn),e(j,Wn),e(j,Ht),e(Ht,Rn),e(j,Un),e(j,Ue),e(Ue,Jn),e(Ue,wt),e(wt,Hn),e(Ue,Zn),e(j,Gn),e(j,Je),e(Je,Xn),e(Je,He),e(He,Kn),e(Je,Qn),e(j,Yn),e(j,Zt),e(Zt,ea),e(j,ta),e(j,O),e(O,Gt),e(Gt,Ze),e(Ze,oa),e(O,sa),e(O,Xt),e(Xt,Ge),e(Ge,na),e(O,aa),e(O,Kt),e(Kt,Xe),e(Xe,ra),e(O,ia),e(O,Qt),e(Qt,Ke),e(Ke,la),e(j,da),e(j,q),E(Qe,q,null),e(q,ca),e(q,Q),e(Q,pa),e(Q,jt),e(jt,ma),e(Q,fa),e(Q,Yt),e(Yt,ha),e(Q,ua),e(q,ga),E(me,q,null),e(q,_a),E(fe,q,null),uo=!0},p(o,[u]){const Ye={};u&2&&(Ye.$$scope={dirty:u,ctx:o}),oe.$set(Ye);const eo={};u&2&&(eo.$$scope={dirty:u,ctx:o}),de.$set(eo);const to={};u&2&&(to.$$scope={dirty:u,ctx:o}),ce.$set(to);const oo={};u&2&&(oo.$$scope={dirty:u,ctx:o}),me.$set(oo);const et={};u&2&&(et.$$scope={dirty:u,ctx:o}),fe.$set(et)},i(o){uo||($(d.$$.fragment,o),$(_e.$$.fragment,o),$(xe.$$.fragment,o),$(Te.$$.fragment,o),$(oe.$$.fragment,o),$(be.$$.fragment,o),$($e.$$.fragment,o),$(we.$$.fragment,o),$(je.$$.fragment,o),$(ke.$$.fragment,o),$(Ve.$$.fragment,o),$(Me.$$.fragment,o),$(ze.$$.fragment,o),$(Se.$$.fragment,o),$(de.$$.fragment,o),$(ce.$$.fragment,o),$(Oe.$$.fragment,o),$(Ne.$$.fragment,o),$(Qe.$$.fragment,o),$(me.$$.fragment,o),$(fe.$$.fragment,o),uo=!0)},o(o){y(d.$$.fragment,o),y(_e.$$.fragment,o),y(xe.$$.fragment,o),y(Te.$$.fragment,o),y(oe.$$.fragment,o),y(be.$$.fragment,o),y($e.$$.fragment,o),y(we.$$.fragment,o),y(je.$$.fragment,o),y(ke.$$.fragment,o),y(Ve.$$.fragment,o),y(Me.$$.fragment,o),y(ze.$$.fragment,o),y(Se.$$.fragment,o),y(de.$$.fragment,o),y(ce.$$.fragment,o),y(Oe.$$.fragment,o),y(Ne.$$.fragment,o),y(Qe.$$.fragment,o),y(me.$$.fragment,o),y(fe.$$.fragment,o),uo=!1},d(o){t(m),o&&t(x),o&&t(g),w(d),o&&t(so),o&&t(U),w(_e),o&&t(no),o&&t(k),o&&t(ao),o&&t(ee),o&&t(ro),o&&t(J),w(xe),o&&t(io),o&&t(M),w(Te),w(oe),w(be),w($e),o&&t(lo),o&&t(Z),w(we),o&&t(co),o&&t(z),w(je),w(ke),w(Ve),o&&t(po),o&&t(G),w(Me),o&&t(mo),o&&t(D),w(ze),w(Se),w(de),w(ce),o&&t(fo),o&&t(K),w(Oe),o&&t(ho),o&&t(j),w(Ne),w(Qe),w(me),w(fe)}}}const Nr={local:"visiontextdualencoder",sections:[{local:"overview",title:"Overview"},{local:"transformers.VisionTextDualEncoderConfig",title:"VisionTextDualEncoderConfig"},{local:"transformers.VisionTextDualEncoderProcessor",title:"VisionTextDualEncoderProcessor"},{local:"transformers.VisionTextDualEncoderModel",title:"VisionTextDualEncoderModel"},{local:"transformers.FlaxVisionTextDualEncoderModel",title:"FlaxVisionTextDualEncoderModel"}],title:"VisionTextDualEncoder"};function Br(I){return Cr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gr extends Pr{constructor(m){super();Mr(this,m,Br,Or,zr,{})}}export{Gr as default,Nr as metadata};
